package es.upm.dit.adsw.tema3.balls.a_threads;

import java.io.IOException;
import java.util.Random;

public class OneBall {
    private static final String TITLE = "one ball";

    private static final Random random = new Random();

    public static void main(String[] args)
            throws IOException, InterruptedException {
        Screen screen = new Screen(TITLE, 500, 500);

        for (int i = 0; i < 7; i++) {
            Ball ball = Ball.create(screen);
            ball.setV(getV(), getV());
            Thread thread = new Thread(ball);
            thread.start();
            Thread.sleep(1000);
        }
    }

    private static int getV() {
        int v = 5 + random.nextInt(20);
        if (Math.random() < 0.3)
            return -v;
        else
            return v;
    }

}
